#=
 Vorlesung
	Algorithmen und Datenstrukturen
	Prof. Dr. Ralf Moeller
	Institut fuer Informationssysteme, Universitaet zu Luebeck
	https://www.ifis.uni-luebeck.de

 Magnus Bender
 Malte Luttermann
 Henrik Strunck
 (c) 2022 - 2023, GPLv3 gnu.org/licenses/gpl-3.0.txt
=#


"""
	Insertion Sort
	Foliensatz: 01-Einfuehrung
	Ca. Folie(n): 21, 24
"""
function insertion_sort(A)
	for j = 2:length(A)
		key = A[j]
		# insert A[j] into the sorted sequence A[1..j - 1]
		i = j - 1
		while i > 0 && A[i] > key
			A[i + 1] = A[i]
			i -= 1
		end
		A[i + 1] = key
	end
end

# Beispielaufruf
A = [14, 42, 100, 56, 3, 8]
println("Eingabe: " * string(A))
insertion_sort(A)
println("Ausgabe: " * string(A))
