#=
 Vorlesung
	Algorithmen und Datenstrukturen
	Prof. Dr. Ralf Moeller
	Institut fuer Informationssysteme, Universitaet zu Luebeck
	https://www.ifis.uni-luebeck.de

 Magnus Bender
 Henrik Strunck
 (c) 2022 - 2023, GPLv3 gnu.org/licenses/gpl-3.0.txt
=#


"""
	Selection Sort
	Foliensatz: 02-Einfuehrung
	Ca. Folie(n): 29
"""
function selection_sort(A)
    for i = 1:length(A)
        min = i
        for j = (i + 1):length(A)
            # find the minimum in the unsorted part
            if A[j] < A[min]
                min = j
            end
        end
        # swap the found minimum into sorted part
        x = A[i]
        A[i] = A[min]
        A[min] = x
    end
end

# Beispielaufruf
A = [14, 42, 100, 56, 3, 8]
println("Eingabe: " * string(A))
selection_sort(A)
println("Ausgabe: " * string(A))
