#=
 Vorlesung
	Algorithmen und Datenstrukturen
	Prof. Dr. Ralf Moeller
	Institut fuer Informationssysteme, Universitaet zu Luebeck
	https://www.ifis.uni-luebeck.de

 Magnus Bender
 Malte Luttermann
 (c) 2022 - 2023, GPLv3 gnu.org/licenses/gpl-3.0.txt
=#

"""
	Quicksort
	Foliensatz: 02-Teile und Herrsche
	Ca. Folie(n): 9-11, 15
"""
function qs(A)
	n = length(A)
	quicksort(A, 1, n)
end

function quicksort(A, i, j)
	if i < j
		p = partition(A, i, j)
		quicksort(A, i, p-1)
		quicksort(A, p+1, j)
	end
end

function partition(A, i, j)
	x = A[j] # Es muss das letzte sein, damit der Code funktioniert.
	b = i - 1
	for k = i:j
		# swap A[k] and A[b+1]
		temp = A[k]
		A[k] = A[b+1]
		A[b+1] = temp
		if A[b+1] <= x
			b = b + 1
		end
	end
	return b
end

# Beispielaufruf
A = [4, 7, 3, 5, 9, 1]
println("Eingabe: " * string(A))
qs(A)
println("Ausgabe: " * string(A))