#=
 Vorlesung
	Algorithmen und Datenstrukturen
	Prof. Dr. Ralf Moeller
	Institut fuer Informationssysteme, Universitaet zu Luebeck
	https://www.ifis.uni-luebeck.de

 Magnus Bender
 (c) 2022 - 2023, GPLv3 gnu.org/licenses/gpl-3.0.txt
=#

"""
	Zeichenkettenvergleich
	Foliensatz: 03-Sortierung-durch-Verteilen
	Ca. Folie(n): 44
"""
function vergleiche(s, t)
	for i = 1:minimum([length(s), length(t)])
		if s[i] < t[i]
			return -1
		elseif s[i] > t[i]
			return 1
		end
	end

	if length(s) == length(t)
		return 0
	elseif length(s) < length(t)
		return -1
	else
		return 1
	end
end

function print_vergleiche(s, t)
	println("vergleiche($s, $t) = " * string(vergleiche(s, t)))
end

# Beispielaufrufe
print_vergleiche("abc", "abd")
print_vergleiche("abc", "abc")
print_vergleiche("abd", "abc")

