
# Datenstruktur laden 
USE_GRAPH_PLOTS = true 
include("./../Utils/graph.jl")

g_i = Graph(
	["A" => "B", "B" => "C", "C" => "A"],
	"Graph i"
)
print(g_i)
g_ii = DirectedWeightedGraph(
	["A" => "B", "B" => "C", "C" => "A"],
	[1,2,3],
	"Graph ii"
)
print(g_ii)

for u in nodes(g_i)
	print("$u, ")
end 
println()

for (u,v) in edges(g_i)
	print("$u - $v, ") 
end 
println()

for (u,v) in edges_out("B", g_i)
	print("$u - $v, ") 
end 
println()

for (u,v,w) in edges_in("B", g_ii)
	print("$u - $v ($w), ")
end 