#=
 Vorlesung
	Algorithmen und Datenstrukturen
	Prof. Dr. Ralf Moeller
	Institut fuer Informationssysteme, Universitaet zu Luebeck
	https://www.ifis.uni-luebeck.de

 Henrik Strunck
 (c) 2022 - 2023, GPLv3 gnu.org/licenses/gpl-3.0.txt
=#

"""
	Binaere Suche

	Foliensatz: 06-Mengen
	Ca. Folie(n): 25
"""

function binary_search(k, A)
	l = 1
	r = length(A)
	while l < r
		m = (r + l) ÷ 2
		if A[m] == k
			return A[m]
		elseif A[m] < k
			l = m + 1
		else
			r = m
		end
	end
	return A[l]
end

# Beispielaufrufe
A = [3, 8, 14, 42, 56, 100]
k1 = 42
k2 = 50
k3 = 500
println("Eingabe: " * string(k1) * " und " * string(A))
k = binary_search(k1, A)
println("Ausgabe: " * string(k))
println("Eingabe: " * string(k2) * " und " * string(A))
k = binary_search(k2, A)
println("Ausgabe: " * string(k))
println("Eingabe: " * string(k3) * " und " * string(A))
k = binary_search(k3, A)
println("Ausgabe: " * string(k))
